
VELO Production Issue - Bug #22145

[Android][Login] Show Error.mcb.9999999 When Login to App

19 May 2025 04:23 PM - yap chekying

Status: Pending Information Start date: 19 May 2025

Priority: Normal Due date:  

Assignee: yap chekying % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When the customer logs in to ocbc business mobile an error appears: error.mcb.9999999. then the customer logs back in

and the application successfully logs in, but after that, the application directs to the page to recreate the software token.

image caption in attachments

information:

org id: LAVASTONE

user id: EDWIGE

time of incident: May 14, 2025 at 14:09

device type: SM-A346E

Log in the folder:

/Digital Banking/VelocityMobile/Log/PROD LOG/20250514

History

#1 - 19 May 2025 06:35 PM - SP LENG

- Status changed from New to Pending Information

- Assignee changed from SP LENG to yap chekying

It seems the information is not correct. I couldn't find a 'User' error in the log. Only the following related error was found at that date and time(this is

about OMNI connection time out issue). A lot same error hit before and after 13-14/5/2025 on 14:09pm also.

2025-05-14 13:57:56,974 INFO  [[ACTIVE] ExecuteThread: '2' for queue: 'weblogic.kernel.Default (self-tuning)'] func.RetrieveDashBoardInfo:452 - fav

size inquiry filter : 1

2025-05-14 13:57:56,977 INFO  [[ACTIVE] ExecuteThread: '2' for queue: 'weblogic.kernel.Default (self-tuning)'] func.RetrieveDashBoardInfo:183 -

class com.silverlake.mleb.mcb.module.func.RetrieveDashBoardInfo

java.util.concurrent.ExecutionException: java.net.SocketException: Connection reset

at org.springframework.web.client.AsyncRestTemplate$ResponseExtractorFuture.adapt(AsyncRestTemplate.java:648)

~[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.client.AsyncRestTemplate$ResponseExtractorFuture.adapt(AsyncRestTemplate.java:620)

~[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.util.concurrent.FutureAdapter.adaptInternal(FutureAdapter.java:100) ~[spring-core-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.util.concurrent.FutureAdapter.get(FutureAdapter.java:82) ~[spring-core-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at com.silverlake.mleb.mcb.module.vc.common.VCGenericService.getAscyncResponseData(VCGenericService.java:149) ~[_wl_cls_gen.jar:?]

at com.silverlake.mleb.mcb.module.func.task.RetrieveTaskList.getTaskListResultAsync(RetrieveTaskList.java:105) ~[_wl_cls_gen.jar:?]

at com.silverlake.mleb.mcb.module.func.RetrieveDashBoardInfo.process(RetrieveDashBoardInfo.java:139) [_wl_cls_gen.jar:?]

at com.silverlake.mleb.mcb.module.common.FuncServices.acceptProcess(FuncServices.java:170) [_wl_cls_gen.jar:?]

at com.silverlake.mleb.mcb.listerner.MCBSolution.onCall(MCBSolution.java:428) [_wl_cls_gen.jar:?]

at com.silverlake.mleb.mcb.impl.ApiImpl.processSend(ApiImpl.java:41) [_wl_cls_gen.jar:?]

at sun.reflect.GeneratedMethodAccessor436.invoke(Unknown Source) ~[?:?]

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.7.0_80]

at java.lang.reflect.Method.invoke(Method.java:606) ~[?:1.7.0_80]

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:317) [spring-aop-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:190)

[spring-aop-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:157)

[spring-aop-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.remoting.support.RemoteInvocationTraceInterceptor.invoke(RemoteInvocationTraceInterceptor.java:78)

[spring-context-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:179)

[spring-aop-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:207)

[spring-aop-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at com.sun.proxy.$Proxy107.processSend(Unknown Source) [?:?]
at sun.reflect.GeneratedMethodAccessor436.invoke(Unknown Source) ~[?:?]

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.7.0_80]

at java.lang.reflect.Method.invoke(Method.java:606) ~[?:1.7.0_80]

at com.caucho.hessian.server.HessianSkeleton.invoke(HessianSkeleton.java:302) [hessian-4.0.38.jar:?]

at com.caucho.hessian.server.HessianSkeleton.invoke(HessianSkeleton.java:217) [hessian-4.0.38.jar:?]

at org.springframework.remoting.caucho.HessianExporter.doInvoke(HessianExporter.java:223) [spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.remoting.caucho.HessianExporter.invoke(HessianExporter.java:138) [spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.remoting.caucho.HessianServiceExporter.handleRequest(HessianServiceExporter.java:66)

[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle(HttpRequestHandlerAdapter.java:51)

[spring-webmvc-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:959) [spring-webmvc-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:893) [spring-webmvc-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:967)

[spring-webmvc-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:869) [spring-webmvc-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at javax.servlet.http.HttpServlet.service(HttpServlet.java:751) [javax.servlet_2.0.0.0_3-0.jar:3.0]

at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:843) [spring-webmvc-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at javax.servlet.http.HttpServlet.service(HttpServlet.java:844) [javax.servlet_2.0.0.0_3-0.jar:3.0]

at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:242) [weblogic.jar:12.1.1.0]

at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:216) [weblogic.jar:12.1.1.0]

at weblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:132) [weblogic.jar:12.1.1.0]

at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:338) [BUG20780188_1211012.jar:12.1.1.0]

at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:221) [BUG20780188_1211012.jar:12.1.1.0]

at weblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.wrapRun(WebAppServletContext.java:3292)

[BUG20780188_1211012.jar:12.1.1.0]

at weblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.run(WebAppServletContext.java:3262)

[BUG20780188_1211012.jar:12.1.1.0]

at weblogic.security.acl.internal.AuthenticatedSubject.doAs(AuthenticatedSubject.java:321)

[com.bea.core.weblogic.security.identity_2.0.0.0.jar:2.0.0.0]

at weblogic.security.service.SecurityManager.runAs(SecurityManager.java:120) [com.bea.core.weblogic.security.wls_1.1.0.0_6-2-0-0.jar:6.2.0.0]

at weblogic.servlet.provider.WlsSubjectHandle.run(WlsSubjectHandle.java:57) [weblogic.jar:12.1.1.0]

at weblogic.servlet.internal.WebAppServletContext.doSecuredExecute(WebAppServletContext.java:2171) [BUG20780188_1211012.jar:12.1.1.0]

at weblogic.servlet.internal.WebAppServletContext.securedExecute(WebAppServletContext.java:2097) [BUG20780188_1211012.jar:12.1.1.0]

at weblogic.servlet.internal.WebAppServletContext.execute(WebAppServletContext.java:2075) [BUG20780188_1211012.jar:12.1.1.0]

at weblogic.servlet.internal.ServletRequestImpl.run(ServletRequestImpl.java:1513) [BUG20780188_1211012.jar:12.1.1.0]

at weblogic.servlet.provider.ContainerSupportProviderImpl$WlsRequestExecutor.run(ContainerSupportProviderImpl.java:254) [weblogic.jar:12.1.1.0]

at weblogic.work.ExecuteThread.execute(ExecuteThread.java:256) [com.bea.core.weblogic.workmanager_2.0.0.0.jar:2.0.0.0]

at weblogic.work.ExecuteThread.run(ExecuteThread.java:221) [com.bea.core.weblogic.workmanager_2.0.0.0.jar:2.0.0.0]

Caused by: java.net.SocketException: Connection reset

at java.net.SocketInputStream.read(SocketInputStream.java:196) ~[?:1.7.0_80]

at java.net.SocketInputStream.read(SocketInputStream.java:122) ~[?:1.7.0_80]

at java.io.BufferedInputStream.fill(BufferedInputStream.java:235) ~[?:1.7.0_80]

at java.io.BufferedInputStream.read1(BufferedInputStream.java:275) ~[?:1.7.0_80]

at java.io.BufferedInputStream.read(BufferedInputStream.java:334) ~[?:1.7.0_80]

at sun.net.www.http.HttpClient.parseHTTPHeader(HttpClient.java:690) ~[?:1.7.0_80]

at sun.net.www.http.HttpClient.parseHTTP(HttpClient.java:633) ~[?:1.7.0_80]

at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1324) ~[?:1.7.0_80]

at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:468) ~[?:1.7.0_80]

at org.springframework.http.client.SimpleClientHttpResponse.getRawStatusCode(SimpleClientHttpResponse.java:48)

~[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.http.client.AbstractClientHttpResponse.getStatusCode(AbstractClientHttpResponse.java:33)

~[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.client.DefaultResponseErrorHandler.getHttpStatusCode(DefaultResponseErrorHandler.java:56)

~[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.client.DefaultResponseErrorHandler.hasError(DefaultResponseErrorHandler.java:50)

~[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

at org.springframework.web.client.AsyncRestTemplate$ResponseExtractorFuture.adapt(AsyncRestTemplate.java:639)

~[spring-web-4.1.8.RELEASE.jar:4.1.8.RELEASE]

... 52 more

2025-05-14 13:57:56,981 INFO  [[ACTIVE] ExecuteThread: '2' for queue: 'weblogic.kernel.Default (self-tuning)'] common.FuncServices:240 -

RetrieveDashBoardInfo :- RESPONSE [0001810d84d6e94e6694ccdf18dbfba066]   {

"accountList": [     {

"index": "fav1",

"org_cd": "SULTRA",

"acct_no": "558800003888",

"acct_ccy": "IDR",

"acct_name": "PT. SULTRA LESTARI LINES",

"acct_alias": "PT. SULTRA LESTARI LINES",

"cif_no": "0000000000000541084",

"prod_cd_sibs": "GRCORP0001",

"acct_type_sibs": "D",

"mcbit": "N",

"branch_cd_sibs": "03559",

"balance_available": "3.8146925231E9",
"balance_ledger": "3.8146925231E9",

"term": 0,

"renewal_counter": 0,

"fav_prod_map": [

"STMT|1"

],

"favOrder": "STMT|1",

"interest_term": 0

}

],

"accountSize": "1",

"obHeader": {

"statusCode": "ERROR.MCB.9999999",

"statusMessage": "java.net.SocketException: Connection reset",

"maintenanceNoticeFlag": false,

"maintenanceUpfrontNoticeTime": 0

}

}

Files

error1.png 337 KB 19 May 2025 yap chekying

error2.png 377 KB 19 May 2025 yap chekying
